Package com.ocient.util

# Class CaselessProperties

java.lang.Object
java.util.Dictionary<K,V>
java.util.Hashtable<Object,Object>
java.util.Properties
com.ocient.util.CaselessProperties

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<Object,Object>`

public class CaselessProperties extends Properties

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.Properties

`defaults`

## Constructor Summary

Constructors
Constructor
Description
`CaselessProperties()`
`CaselessProperties(CaselessProperties defaults)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFromProperties(Properties properties)`
`boolean`
`containsKey(Object key)`
`Object`
`get(Object key)`
`String`
`getProperty(String key)`
`String`
`getProperty(String key, String defaultValue)`
`void`
`load(InputStream inStream)`
`void`
`load(Reader reader)`
`void`
`loadFromXML(InputStream in)`
`Object`
`put(Object key, Object value)`
`void`
`putAll(Map<?,?> t)`
`Object`
`putIfAbsent(Object key, Object value)`
`Object`
`remove(Object key)`
`void`
`save(OutputStream out, String comments)`
`Object`
`setProperty(String key, String value)`

### Methods inherited from class java.util.Properties

`clear, clone, compute, computeIfAbsent, computeIfPresent, contains, containsValue, elements, entrySet, equals, forEach, getOrDefault, hashCode, isEmpty, keys, keySet, list, list, merge, propertyNames, rehash, remove, replace, replace, replaceAll, size, store, store, storeToXML, storeToXML, storeToXML, stringPropertyNames, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CaselessProperties

public CaselessProperties()

### CaselessProperties

public CaselessProperties(CaselessProperties defaults)

## Method Details

### addFromProperties

public void addFromProperties(Properties properties)

### setProperty

public Object setProperty(String key, String value)

Overrides:
  `setProperty` in class `Properties`

### getProperty

public String getProperty(String key)

Overrides:
  `getProperty` in class `Properties`

### getProperty

public String getProperty(String key, String defaultValue)

Overrides:
  `getProperty` in class `Properties`

### remove

public Object remove(Object key)

Specified by:
  `remove` in interface `Map<Object,Object>`
Overrides:
  `remove` in class `Properties`

### get

public Object get(Object key)

Specified by:
  `get` in interface `Map<Object,Object>`
Overrides:
  `get` in class `Properties`

### put

public Object put(Object key, Object value)

Specified by:
  `put` in interface `Map<Object,Object>`
Overrides:
  `put` in class `Properties`

### putIfAbsent

public Object putIfAbsent(Object key, Object value)

Specified by:
  `putIfAbsent` in interface `Map<Object,Object>`
Overrides:
  `putIfAbsent` in class `Properties`

### containsKey

public boolean containsKey(Object key)

Specified by:
  `containsKey` in interface `Map<Object,Object>`
Overrides:
  `containsKey` in class `Properties`

### load

public void load(InputStream inStream)

Overrides:
  `load` in class `Properties`

### load

public void load(Reader reader)

Overrides:
  `load` in class `Properties`

### loadFromXML

public void loadFromXML(InputStream in)

Overrides:
  `loadFromXML` in class `Properties`

### save

public void save(OutputStream out, String comments)

Overrides:
  `save` in class `Properties`

### putAll

public void putAll(Map<?,?> t)

Specified by:
  `putAll` in interface `Map<Object,Object>`
Overrides:
  `putAll` in class `Properties`